import React, { Component, Fragment } from 'react'
import PropTypes from 'prop-types'
import {
    Page, Validator, Notification, FormItem, DatePickerItem, TextAreaItem, CheckboxItem, Checkbox,
    InputItem, Input, Bind, SelectItem, Button, Label, Image, Table, BottomBtn
} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { Row, Col } from 'antd'
import { action, observable, runInAction } from 'mobx'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'

const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GetameScreen extends Page {
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext() {
        return { trn: 'getame' }
    }


    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }



    //按钮事件



    //第一行
    

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        const { bchlevelLst } = this.props.extra
        //const {next,pre} = this.props.steps
        if (this.props.flag == true) {
            return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }

        return (
            <div style={{ position: "relative" }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />

             
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirming Bank" trn="getame" />
                            </Col>
                            <Col span={14}  >
                                <InputItem disabled={true} InputProps={bind("pts3_ref")} maxLength={16} desp="参考号" path="/gidgrp/con/pts/ref" />
                            </Col>
                        </Row>
                        <Row className='row'>
                            <Col >
                                <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts3', url: 'getame/conp_sel', flg: 'B', datakey: '\\gitp\\conp\\ptslst' }} formBlur={this.formBlur}/>
                            </Col>
                            
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirming Bank's Ref.   " trn="getame" />
                            </Col>
                            <Col span={14}  >
                                <InputItem disabled={true} InputProps={bind("pts4_ref")} maxLength={16} desp="参考号" path="/gidgrp/iss/pts/ref" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col >
                                <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址",prefix: 'pts4', url: 'getame/issp_sel', flg: 'B', datakey: '\\gitp\\issp\\ptslst' }} formBlur={this.formBlur}/>
                            </Col>
                        </Row>

                    </Col>
                </Row>
                {/* 底部按钮 */}
                <BottomBtn _this={this} />
              
            </div>
        )
    }
}
