import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Gitcrj {
    
    @observable
    clmdat=""           // \gcdgrp\rec\clmdat    Date of Claim 

    @observable
    docprbrol=""           // \gcdgrp\rec\docprbrol    Presented by 

    @observable
    msgdat=""           // \gcdgrp\rec\msgdat    Rejection Message Date 

    @observable
    nam=""           // \gcdgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    ownref=""           // \gcdgrp\rec\ownref    Reference 

    @observable
    payrol=""           // \gcdgrp\rec\payrol    Payer 

    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    ownref1=""           // \gidgrp\rec\ownref    Reference 

    @observable
    pts_nam=""           // \gcdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \gcdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \gcdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \gcdgrp\ben\pts\ref    参考号 

    @observable
    max_amt=""           // \gcdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \gcdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \gcdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \gcdgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_adrblk=""           // \gcdgrp\oth\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \gcdgrp\oth\pts\extkey    客户编号 

    @observable
    pts3_adrblk=""           // \gcdgrp\prb\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \gcdgrp\prb\pts\extkey    客户编号 

    @observable
    pts3_ref=""           // \gcdgrp\prb\pts\ref    参考号 

    @observable
    gctp_adaflg=""           // \gctp\adaflg    Add. Amount 

    @observable
    gctp_aplmullab=""           // \gctp\aplmullab    Label, that is set, if there are multiple applicants 

    @observable
    gctp_expfldlab=""           // \gctp\expfldlab    Label for Field Validity 

    @observable
    gctp_explab=""           // \gctp\explab    Label unlimited Validity 

    @observable
    gctp_liafldlab=""           // \gctp\liafldlab    Label for Field Liability 

    @observable
    gctp_lialab=""           // \gctp\lialab    Label unlimited Liability 

    @observable
    opn11_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    mtabut_clsflg=""           // \mtabut\clsflg    Close Flag 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    strinf=""           // \strinf    Narrative 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.clmdat=""
            this.docprbrol=""
            this.msgdat=""
            this.nam=""
            this.ownref=""
            this.payrol=""
            this.expdat=""
            this.gartyp=""
            this.liadat=""
            this.ownref1=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.pts3_ref=""
            this.gctp_adaflg=""
            this.gctp_aplmullab=""
            this.gctp_expfldlab=""
            this.gctp_explab=""
            this.gctp_liafldlab=""
            this.gctp_lialab=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.mtabut_clsflg=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.strinf=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Gitcrj